Bug 847304 - Cannot log at levels other than INFO
Cannot log at levels other than INFO
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 09:55 EDT by Michael Hrivnak
Modified: 2013-01-09 12:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2012-08-10 09:55:36 EDT
Description of problem:

/etc/pulp/logging/basic.cfg is setup such that any logger within the pulp namespace can only log at the INFO level. We should definitely be logging errors at the ERROR level, and we could probably benefit from proper use of all of the log levels.

How reproducible:
Within any module in the pulp namespace:

  logger = logging.getLogger(__name__); logger.error('stuff')
  
Actual results:
message that no handler was found

Expected results:
log the message
Comment 1 Preethi Thomas 2012-11-06 10:16:18 EST
verified
Comment 2 Preethi Thomas 2013-01-09 12:09:17 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.